
%define		qtver	4.6.4

Summary:	Voice chat software primarily intended for use while gaming
Name:		mumble
Version:	1.2.9
Release:	1
License:	BSD and Custom (see LICENSE)
Group:		Applications/Communications
Source0:	http://downloads.sourceforge.net/mumble/%{name}-%{version}.tar.gz
# Source0-md5:	85decb9a1efb13e7558fab6265f81ad8
URL:		http://mumble.sourceforge.net/
Source1:	murmur.init
Source2:	%{name}.desktop
Source3:	%{name}-overlay.desktop
Source4:	murmur.logrotate
Patch1:		%{name}-murmurini.patch
Patch2:		%{name}-link.patch
Patch3:		%{name}-celt.patch
Patch4:		speech-dispacher.patch
BuildRequires:	QtCore-devel >= %{qtver}
BuildRequires:	QtDBus-devel >= %{qtver}
BuildRequires:	QtGui-devel >= %{qtver}
BuildRequires:	QtNetwork-devel >= %{qtver}
BuildRequires:	QtOpenGL-devel >= %{qtver}
BuildRequires:	QtSql-devel >= %{qtver}
BuildRequires:	QtSvg-devel >= %{qtver}
BuildRequires:	QtXml-devel >= %{qtver}
BuildRequires:	alsa-lib-devel
BuildRequires:	avahi-compat-libdns_sd-devel
BuildRequires:	boost-devel
BuildRequires:	celt-devel >= 0.7.1
BuildRequires:	ice-devel
BuildRequires:	libcap-devel
BuildRequires:	libmodplug-devel
BuildRequires:	libogg-devel
BuildRequires:	libsndfile-devel
BuildRequires:	openssl-devel
BuildRequires:	pkgconfig
BuildRequires:	protobuf
BuildRequires:	protobuf-devel
BuildRequires:	qt4-build >= %{qtver}
BuildRequires:	qt4-linguist >= %{qtver}
BuildRequires:	qt4-qmake >= %{qtver}
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
BuildRequires:	speech-dispatcher-devel
BuildRequires:	speex-devel
BuildRequires:	speexdsp-devel
Requires:	QtSql-sqlite3 >= %{qtver}
Requires:	speech-dispatcher
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_appdir		/var/lib/murmur

%description
Low-latency, high-quality voice communication for gamers. Includes
game linking, so voice from other players comes from the direction of
their characters, and has echo cancellation so the sound from your
loudspeakers won't be audible to other players.

%package server
Summary:	Mumble voice chat server
Group:		Applications/Communications
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	QtSql-sqlite3 >= %{qtver}
Requires:	rc-scripts >= 0.4.1.23
Provides:	group(murmur)
Provides:	user(murmur)

%description server
Murmur (also called mumble-server) is part of VoIP suite Mumble
primarily intended for gamers. Murmur is server part of suite.

%prep
%setup -q
%patch1 -p0
%patch2 -p0
%patch3 -p1
%patch4 -p1

%build
qmake-qt4 "CONFIG+=no-bundled-speex no-bundled-celt no-g15 \
no-embed-qt-translations no-update \
QMAKE_CFLAGS=%{rpmcflags} \
QMAKE_CXXFLAGS=%{rpmcxxflags} \
QMAKE_CFLAGS_RELEASE=%{rpmcflags} \
QMAKE_CXXFLAGS_RELEASE=%{rpmcxxflags} \
DEFINES+=PLUGIN_PATH=%{_libdir}/%{name} \
DEFINES+=DEFAULT_SOUNDSYSTEM=PulseAudio" main.pro
%{__make} release -j1

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_sbindir},%{_bindir},%{_libdir}/%{name},%{_sysconfdir}/murmur,%{_desktopdir}}
install -d $RPM_BUILD_ROOT{%{_iconsdir}/hicolor/{16x16,32x32,48x48,64x64},%{_pixmapsdir}}
install -d $RPM_BUILD_ROOT{/etc/rc.d/init.d,%{_appdir}}
install -d $RPM_BUILD_ROOT/etc/logrotate.d

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -p %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/murmurd
install -p %{SOURCE2} $RPM_BUILD_ROOT%{_desktopdir}
cp -a %{SOURCE4} $RPM_BUILD_ROOT/etc/logrotate.d/murmur
install -p release/libmumble.so.*.*.* $RPM_BUILD_ROOT%{_libdir}
ln -s libmumble.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libmumble.so.1
install -p release/mumble* $RPM_BUILD_ROOT%{_bindir}
install -p release/murmurd $RPM_BUILD_ROOT%{_sbindir}
install -p release/plugins/*.so $RPM_BUILD_ROOT%{_libdir}/%{name}
cp -a scripts/murmur.ini $RPM_BUILD_ROOT%{_sysconfdir}/murmur
#cp -a src/mumble11x/resources/mumble.16x16.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/16x16/%{name}.png
#cp -a src/mumble11x/resources/mumble.32x32.png $RPM_BUILD_ROOT%{_pixmapsdir}/%{name}.png
#cp -a src/mumble11x/resources/mumble.48x48.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/%{name}.png
#cp -a src/mumble11x/resources/mumble.64x64.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/64x64/%{name}.png

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%pre server
%groupadd -g 250 murmur
%useradd -u 250 -d /var/lib/murmur -g murmur -c "Mumble Server" murmur

%post server
if [ ! -f /var/log/murmur ]; then
	umask 027
	touch /var/log/murmur
	chown murmur:logs /var/log/murmur
fi
/sbin/chkconfig --add murmurd
%service murmurd restart "mumble server"

%preun server
if [ "$1" = "0" ]; then
	%service murmurd stop
	/sbin/chkconfig --del murmurd
fi

%postun server
if [ "$1" = "0" ]; then
        %userremove murmur
        %groupremove murmur
fi

%files
%defattr(644,root,root,755)
%doc README README.Linux LICENSE CHANGES
%attr(755,root,root) %{_bindir}/mumble
%attr(755,root,root) %{_libdir}/libmumble.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmumble.so.1
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/*.so
%{_desktopdir}/%{name}.desktop
#%{_pixmapsdir}/%{name}.png

%files server
%defattr(644,root,root,755)
%attr(750,root,murmur) %dir %{_sysconfdir}/murmur
%attr(770,murmur,murmur) %dir %{_appdir}
%attr(640,root,murmur) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/murmur/murmur.ini
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/logrotate.d/murmur
%attr(755,root,root) %{_sbindir}/murmurd
%attr(754,root,root) /etc/rc.d/init.d/murmurd
%changelog
* Sun Jun 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/mumble.git;a=log;h=master

* Sun Jun 28 2015 Jan Rękorajski <baggins@pld-linux.org> 769be82
- updated to 1.2.9

* Sun Jan 25 2015 Jakub Bogusz <qboosh@pld-linux.org> da99d88
- BR: speexdsp-devel

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> 3da8cfe
- release 3 (by relup.sh)

* Thu Jul 17 2014 Jan Rękorajski <baggins@pld-linux.org> 5320ca1
- release 2 (by relup.sh)

* Thu Jan 09 2014 Witold Filipczyk <witekfl@poczta.onet.pl> 0569a98
- up to 1.2.4
- ghost soname symlink
- patch0 commented, probably unneeded

* Thu Jan 09 2014 Witold Filipczyk <witekfl@poczta.onet.pl> f0db1c7
- adjusted to 1.2.4

* Sun Jul 14 2013 Jan Rękorajski <baggins@pld-linux.org> d15e5c3
- fixed speech-dispacher header location
- rel 6

* Sun Sep 11 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> e9654c4
- rel 5; fix builds with new celt

* Wed Aug 31 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> b0aea48
- release 4

* Thu May 26 2011 marti <marti@pld-linux.org> ba95f82
- this version resolves CVE-2010-2490 DOS vuln

* Wed Feb 23 2011 lisu <lisu@pld-linux.org> 2054196
- create 640 murmur logs

* Wed Feb 23 2011 lisu <lisu@pld-linux.org> bb7f293
- fix log permissions
- TODO dropped
- rel 2

* Mon Feb 21 2011 lisu <lisu@pld-linux.org> d15d102
- up to 1.2.3

* Mon Jan 24 2011 sparky <sparky@pld-linux.org> 18f2951
- BR: avahi-compat-libdns_sd-devel, boost-devel, libcap-devel,
  libmodplug-devel, libogg-devel, libsndfile-devel, openssl-devel,
  pkgconfig, protobuf-devel
- dropped unused BR: QtXmlPatterns-devel

* Sat Jan 08 2011 lisu <lisu@pld-linux.org> 6c68b75
- missing BRs: alsa-lib-devel, qt4-linguist
- replace obsoleted LIBPATH with QMAKE_LIBDIR
- make release

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> 4c9c205
- rel 4

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> a852546
- ehm, this should be better

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> 648c3ba
- add patch2
- rel 3

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> 9f1870c
- fix build

* Mon Nov 08 2010 shadzik <shadzik@pld-linux.org> 04c8a67
- rel 2

